Bug 191165 - yum update && yum install kernel-devel brings different versions
yum update && yum install kernel-devel brings different versions
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2006-05-09 09:16 EDT by Axel Straschil
Modified: 2014-01-21 17:54 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-18 16:35:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Axel Straschil 2006-05-09 09:16:01 EDT
Description of problem:
Doing  a'yum update'  'yum install kernel-devel' can result in different
versions of kernel and kernel-devel, and so, a manual building of modules (i.d.
drbd) ist not possible.

How reproducible:
yum update kernel #On a mirror with latest kernel
yum update kernel-devel #On a mirror not having latest kernel-devel

Steps to Reproduce:
1. yum update kernel
2. yum update kernel-devel
Actual results:
If the choosen mirrors have different kernel versions, kernel and kernel-devel

Expected results:
kernel and kernel-devel in same version

Additional info:
Comment 1 Seth Vidal 2006-05-10 00:01:03 EDT
Just to be sure, the issue here is that mirrors are out of sync, right?
Comment 2 Axel Straschil 2006-05-10 01:25:17 EDT
Not shure, I try to give a simple Example:

1) doing a yum -y update
I get a mirror where the where the latest kernel RPM ist
kernel-1001, it is getting installed.
2) doing yum -y install kernel-devel
I get a mirror not having kernel-devel-1001, so, yum is installing a 
other kernel-devel-????, as now. I can compile kernel-modules now (i.d. drbd),
but the dont fit into my kernel ;-)

I think that not all mirrors are allways in sync is a given hard fact, not a 
problem, for me as user, the problem is that 'yum install kernel-devel' does not
force to install the kernel-devel for my actual kernel (which was installed with  
yum update), so, for me it is a missinig dependency.

Thanks, AXEL.
Comment 3 Jeremy Katz 2006-09-18 16:35:14 EDT
We have some bits in the mirror infrastructure to help avoid this problem now

Note You need to log in before you can comment on or make changes to this bug.